const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("customercontacts", {
    uapp_id             :DataTypes.INTEGER,      //  
    deliveryOrderNo    :DataTypes.STRING(64),   // 交付订单号  
    contactName         :DataTypes.STRING(1000),  // 联系人                   
    mobile       :DataTypes.STRING(20),    //                  
    email        :DataTypes.STRING(50),    //                  
    tel          :DataTypes.STRING(20),    //                  
    fax          :DataTypes.STRING(50),    //                                     
      
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: false,
      //freezeTableName: true,
      // define the table's name
      tableName: 'd_customercontacts',
      validate: {

      },
      indexes: [
     
      ]
    });
}
